# Steuerung Octopus 

##  7 Segment Anzeige per MQTT steuern

Die Idee ist eine 7 Segment Anzeige auf dem Octopus zu haben und 

verschiedene Werte der eingbauten und angeschlossenen Sensoren abrufen zu können.

### Hardware Liste 


*    https://www.tindie.com/products/FabLab/iot-octopus-badge-for-iot-evaluation/
*    MQTT Broker ( z.B. broker.mqttdashboard.com )
*    Android Smartphone mit https://play.google.com/store/apps/details?id=snr.lab.iotmqttpanel.prod&hl=de
*    Adafruit 7 Segement Anzeige Rot/Gruen/Weiss https://amzn.to/3dlt1BI 

     Alternative https://www.exp-tech.de/displays/led/7185/adafruit-0.56-4-digit-7-segment-featherwing-display-green?c=1073


### Software fuer den Octopus 

* Quellcode:  https://git.unixweb.net/jhummel/CO2-Ampel-Octopus/src/branch/master/MQTT-Remote-BME680.ino


### Einrichtung MQTT 

```
Topic Octopus/status

Publish Werte :

1000 =  Temperatur
1001 =  Luftfeuchte
1002 =  Luftdruck
```

Sende an `Octopus/status 1000` = Temperatur wird am 7 Segment Display angezeigt

Sende an `Octopus/status 1001` = Luftfeuchte wird am 7 Segment Display angezeigt

Sende an `Octopus/status 1002` = Luftdruck wird am 7 Segment Display angezeigt

![Screenshot](https://git.unixweb.net/jhummel/CO2-Ampel-Octopus/raw/branch/master/images/Octopus-CO2-Ampel-Luftdruck-2.jpg)
![Screenshot](https://git.unixweb.net/jhummel/CO2-Ampel-Octopus/raw/branch/master/images/Octopus-CO2-Ampel-Temperatur.jpg)
